Subject: bug#21070: GPT backup corruption causes parted and linux installer to crash

From: Dan Williams <[email-masked]>
Date: Thu, 16 Jul 2015 10:53:57 -0700

On Thu, Jul 16, 2015 at 10:36 AM, Rod Smith <[email-masked]> wrote:
> On 07/16/2015 12:01 PM, [email-masked] wrote:
>
>> I have bought 2x2TB disks and set it up for RAID0. I have installed
>> Win7 first with UEFI that created GPT partitions.
> ...
>> root@lubuntu:~# gdisk
>> GPT fdisk (gdisk) version 0.8.8
>>
>> Type device filename, or press <Enter> to exit: /dev/sda
> ...
>> Command (? for help): p
>> Disk /dev/sda: 3907029168 sectors, 1.8 TiB
>> Logical sector size: 512 bytes
>> Disk identifier (GUID): BFD8B9FE-8BF3-4AF3-B04C-326FC7FB5569
>> Partition table holds up to 128 entries
>> First usable sector is 34, last usable sector is 7812499934
>> Partitions will be aligned on 2048-sector boundaries
>> Total free space is 6890901949 sectors (3.2 TiB)
>
> I've quoted some information that highlights issues that point to the
> root cause of your problem:
>
> * You've got 2x2TB in a RAID setup, so you should be seeing a
>   disk device on the order of 4TB (~3.6TiB)
> * gdisk says that the disk is 1.8TiB in size -- about the size
>   of ONE of your two disks, NOT a RAID configuration.
> * The partition table indicates that the last usable sector on
>   the disk is 7,812,499,934, which works out to about 3.6TiB --
>   so the original GPT was laid out with RAID active.
>
> Overall, it looks like you're not using RAID from Linux. If this is
> motherboard-based software RAID (aka "fake RAID"), you should NOT be
> directly accessing /dev/sda, /dev/sdb, etc.; you should be using devices
> in /dev/mapper, whose names vary depending on your chipset. Also,
> sometimes Linux and Windows get out of sync on these drivers, so that
> one OS activates the driver and the other doesn't. If you don't see
> devices in /dev/mapper, you'll need to look into activating RAID in
> Ubuntu. See the Ubuntu Community Wiki for advice on this topic:
>
> https://help.ubuntu.com/community/Installation/SoftwareRAID
>
> All that said, if a more up-to-date version of parted produces the
> errors you report, that still constitutes a bug. As Brian Lane said,
> though, your parted is a bit behind the times. This often happens when
> you use a distribution-provided package, particularly for a long-term
> support distribution like an Ubuntu LTS or a CentOS (vs. a non-LTS
> Ubuntu or Fedora).

Note that the most up to date Firmware-RAID ("fake-RAID" is a
misnomer) support is provided by mdadm for Intel platforms, not
dmraid.